Skip to content

Pledge⁠

Perform various operations on pledge records.

Operations⁠

getPledgeSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PledgeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/getPledgeSelectFields
POST /nexum/627/persistent/account/getPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PledgeLocator": 0,
  "SelectableFields": {
    "IncludeAllPledgeFields": true,
    "PledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPledgePagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/getPledgePagedListSelectFields
POST /nexum/627/persistent/account/getPledgePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPledgePagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/account/searchPledgePagedSelectFields
POST /nexum/627/persistent/account/searchPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPledgeFields": false,
    "PledgeFields": {
      "Locator": true,
      "Type": true,
      "AccountNumber": true,
      "Id": true,
      "Amount": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updatePledgeByID⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PledgeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/account/updatePledgeByID
POST /nexum/627/persistent/account/updatePledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PledgeLocator": 0,
  "PledgeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createPledge⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
PledgeLocatorintegeroptional
POST/nexum/{sym}/persistent/account/createPledge
POST /nexum/627/persistent/account/createPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PledgeFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePledge⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PledgeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/account/deletePledge
POST /nexum/627/persistent/account/deletePledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PledgeLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}